Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class BumpMap

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.BumpMap

public final class BumpMap
extends java.lang.Object

Default BumpMap implementation.

Constructor Summary
`BumpMap(java.awt.image.RenderedImage texture, double surfaceScale, double scaleX, double scaleY)` Stores the normals for this bumpMap.

Method Summary
`double[][][]` | `getNormalArray(int x, int y, int w, int h)`
`double` | `getSurfaceScale()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BumpMap

    public BumpMap(java.awt.image.RenderedImage texture,
                   double surfaceScale,
                   double scaleX,
                   double scaleY)

  Stores the normals for this bumpMap. scaleX and scaleY are the user space to device space scales.

Method Detail

### getSurfaceScale

    public final double getSurfaceScale()

  Returns:
    surface scale used by this bump map.

### getNormalArray

    public final double[][][] getNormalArray(int x,
                                             int y,
                                             int w,
                                             int h)

  Parameters:
    `x` - x-axis coordinate for which the normal is computed
    `y` - y-axis coordinate for which the normal is computed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.